//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bcee.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.AccountInfo;

/**
 * Bentigte Informationen zum Erstellen eines MahoeMain Kontos
 * 
 * @author Frank Mnster
 * 
 */
public class BceeCreateInfo extends AccountInfo {

	/**
	 * BIC
	 */
	private String bic;
	/**
	 * IBAN
	 */
	private String iban;
	/**
	 * LuxTrust Kennung
	 */
	private String luxTrustId;

	/**
	 * Standardkonstruktor
	 */
	public BceeCreateInfo() {
		super();
	}

	/**
	 * @return the bic
	 */
	public String getBic() {
		return bic;
	}

	/**
	 * @return the iban
	 */
	public String getIban() {
		return iban;
	}

	/**
	 * @return the luxTrustId
	 */
	public String getLuxTrustId() {
		return luxTrustId;
	}

	/**
	 * @param bic
	 *            the bic to set
	 */
	public void setBic(final String bic) {
		this.bic = bic;
	}

	/**
	 * @param iban
	 *            the iban to set
	 */
	public void setIban(final String iban) {
		this.iban = iban;
	}

	/**
	 * @param luxTrustId
	 *            the luxTrustId to set
	 */
	public void setLuxTrustId(final String luxTrustId) {
		this.luxTrustId = luxTrustId;
	}

}
