//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.targobank.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.AccountInfo;

/**
 * Bentigte Informationen zum Erstellen eines MahoeMain Kontos
 * 
 * @author Frank Mnster
 * 
 */
public class TargoBankCreateInfo extends AccountInfo {

	/**
	 * Das Kartenkonto
	 */
	private String cardAccount;

	/**
	 * Die Kartennummer
	 */
	private String cardNumber;

	/**
	 * Der Anbietertext
	 */
	private String company;

	/**
	 * Login
	 */
	private String login;

	/**
	 * Standardkonstruktor
	 */
	public TargoBankCreateInfo() {
		super();
	}

	/**
	 * @return the cardAccount
	 */
	public String getCardAccount() {
		return cardAccount;
	}

	/**
	 * @return the cardNumber
	 */
	public String getCardNumber() {
		return cardNumber;
	}

	/**
	 * @return the company
	 */
	public String getCompany() {
		return company;
	}

	/**
	 * @return the login
	 */
	public String getLogin() {
		return login;
	}

	/**
	 * @param cardAccount
	 *            the cardAccount to set
	 */
	public void setCardAccount(final String cardAccount) {
		this.cardAccount = cardAccount;
	}

	/**
	 * @param cardNumber
	 *            the cardNumber to set
	 */
	public void setCardNumber(final String cardNumber) {
		this.cardNumber = cardNumber;
	}

	/**
	 * @param company
	 *            the company to set
	 */
	public void setCompany(final String company) {
		this.company = company;
	}

	/**
	 * @param login
	 *            the login to set
	 */
	public void setLogin(final String login) {
		this.login = login;
	}

}
